Package org.globus.gsi.gssapi.net

# Class GssSocketFactory

java.lang.Object
org.globus.gsi.gssapi.net.GssSocketFactory

Direct Known Subclasses:
  `GSIGssSocketFactory`

public abstract class GssSocketFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`GssSocketFactory()`

## Method Summary

Modifier and Type
Method
Description
`abstract Socket`
`createSocket(String host, int port, GSSContext context)`
`abstract Socket`
`createSocket(Socket s, String host, int port, GSSContext context)`
`static GssSocketFactory`
`getDefault()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GssSocketFactory

public GssSocketFactory()

## Method Details

### getDefault

public static GssSocketFactory getDefault()

### createSocket

public abstract Socket createSocket(Socket s, String host, int port, GSSContext context)

### createSocket

public abstract Socket createSocket(String host, int port, GSSContext context) throws IOException

Throws:
  `IOException`